from distutils.core import setup 
import re,os,sys,py2exe 
if hasattr(sys, 'setdefaultencoding'): 
    import locale 
    lang, enc = locale.getdefaultlocale() 
    sys.setdefaultencoding(enc or 'cp932') 
    del sys.setdefaultencoding 
option = { 
    "excludes": ['readline'], 
    'compressed': 1, 
     'optimize': 2, 
    'bundle_files': 2, 
} 
setup( 
    options = {'py2exe': option}, 
console=['analyze.py'], 
    zipfile = None, 
    ) 
